New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add three plugins to directory #4163

Merged
merged 3 commits into from Nov 19, 2015

Conversation

Projects
None yet
5 participants
@paulrobertlloyd
Contributor

paulrobertlloyd commented Nov 19, 2015

Added three plugins to the directory listing:

  • jekyll-roman
  • jekyll-typogrify
  • jekyll-figure

Provided as separate commits, as suggested previously.

@rebornix

This comment has been minimized.

Show comment
Hide comment
@rebornix

rebornix Nov 19, 2015

Member

Thanks for your great plugins! Unfortunately, I'm running into below error after installing jekyll-roman and running jekyll serve, seems Jekyll 3.0 can't load your plugin files.

Installing jekyll-roman 0.0.2
Using rb-fsevent 0.9.6
Using rb-inotify 0.9.5
Using listen 3.0.3
Using jekyll-watch 1.3.0
Using kramdown 1.9.0
Using bundler 1.10.6
Bundle complete! 3 Gemfile dependencies, 8 gems now installed.
Use `bundle show [gemname]` to see where a bundled gem is installed.
➜  jekyllbug  jekyll serve
WARN: Unresolved specs during Gem::Specification.reset:
      jekyll-watch (~> 1.1)
WARN: Clearing out unresolved specs.
Please report a bug if this causes problems.
Configuration file: /Users/rebornix/Documents/code/jekyllbug/_config.yml
/Library/Ruby/Gems/2.0.0/gems/jekyll-3.0.0/lib/jekyll/plugin_manager.rb:30:in `require': cannot load such file -- jekyll-roman (LoadError)
    from /Library/Ruby/Gems/2.0.0/gems/jekyll-3.0.0/lib/jekyll/plugin_manager.rb:30:in `block in require_gems'
Member

rebornix commented Nov 19, 2015

Thanks for your great plugins! Unfortunately, I'm running into below error after installing jekyll-roman and running jekyll serve, seems Jekyll 3.0 can't load your plugin files.

Installing jekyll-roman 0.0.2
Using rb-fsevent 0.9.6
Using rb-inotify 0.9.5
Using listen 3.0.3
Using jekyll-watch 1.3.0
Using kramdown 1.9.0
Using bundler 1.10.6
Bundle complete! 3 Gemfile dependencies, 8 gems now installed.
Use `bundle show [gemname]` to see where a bundled gem is installed.
➜  jekyllbug  jekyll serve
WARN: Unresolved specs during Gem::Specification.reset:
      jekyll-watch (~> 1.1)
WARN: Clearing out unresolved specs.
Please report a bug if this causes problems.
Configuration file: /Users/rebornix/Documents/code/jekyllbug/_config.yml
/Library/Ruby/Gems/2.0.0/gems/jekyll-3.0.0/lib/jekyll/plugin_manager.rb:30:in `require': cannot load such file -- jekyll-roman (LoadError)
    from /Library/Ruby/Gems/2.0.0/gems/jekyll-3.0.0/lib/jekyll/plugin_manager.rb:30:in `block in require_gems'

envygeeks added a commit that referenced this pull request Nov 19, 2015

@envygeeks envygeeks merged commit 22a9fbb into jekyll:master Nov 19, 2015

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
@parkr

This comment has been minimized.

Show comment
Hide comment
@parkr

parkr Nov 19, 2015

Member

@rebornix Try running bundle exec jekyll serve

Member

parkr commented Nov 19, 2015

@rebornix Try running bundle exec jekyll serve

@jekyll jekyll locked and limited conversation to collaborators Feb 27, 2017

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.